declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    items: {
        type: () => Indexable[];
        required: true;
    };
    command: {
        type: FunctionConstructor;
        required: true;
    };
    editor: {
        type: ObjectConstructor;
        required: true;
    };
}>, {}, {
    selectedIndex: number;
}, {}, {
    onKeyDown({ event }: {
        event: any;
    }): boolean;
    upHandler(): void;
    downHandler(): void;
    enterHandler(): void;
    selectItem(index: any): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    items: {
        type: () => Indexable[];
        required: true;
    };
    command: {
        type: FunctionConstructor;
        required: true;
    };
    editor: {
        type: ObjectConstructor;
        required: true;
    };
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
